Package Details: recipes-git 2.0.2+24+gaa4a7e7-1

Git Clone URL: https://aur.archlinux.org/recipes-git.git (read-only, click to copy)
Package Base: recipes-git
Description: A GNOME recipes cooking book
Upstream URL: https://git.gnome.org/browse/recipes/
Keywords: cooking food recipes
Licenses: GPL
Groups: gnome
Conflicts: recipes
Provides: recipes
Replaces: recipes
Submitter: swiftscythe
Maintainer: swiftscythe
Last Packager: swiftscythe
Votes: 7
Popularity: 0.000000
First Submitted: 2016-12-07 12:28
Last Updated: 2018-01-06 12:16

Latest Comments

1 2 Next › Last »

swiftscythe commented on 2020-05-11 01:05

@fisch02 feel free to create a new package, as far as I know, one can't rename a package. Then we can merge it with this one :)

fisch02 commented on 2020-05-05 16:44

Can you rename the package to gnome-recipes-git for consistency ? Edit: Here is a modified PKGBUILD, which should also update libgd subproject: pkgname=gnome-recipes-git _pkgname=gnome-recipes pkgver=2.0.4+19+g443dac0 pkgrel=1 pkgdesc="Recipe management application for GNOME" arch=(x86_64) url="https://wiki.gnome.org/Apps/Recipes" license=(GPL3) groups=(gnome-extra) depends=(gnome-autoar gnome-online-accounts gspell libcanberra libsoup) makedepends=(git itstool meson) provides=('gnome-recipes') conflicts=('gnome-recipes') source=("git+https://gitlab.gnome.org/GNOME/recipes.git" "git+https://gitlab.gnome.org/GNOME/libgd.git") sha512sums=('SKIP' 'SKIP')

pkgver() { cd recipes git describe --tags | sed 's/-/+/g' }

prepare() { mkdir build cd recipes git submodule init git submodule set-url subprojects/libgd "$srcdir/libgd" git submodule update }

build() { arch-meson recipes build ninja -C build }

check() { meson test -C build }

package() { DESTDIR="$pkgdir" meson install -C build }

swiftscythe commented on 2017-05-04 17:20

Fixed, thanks!

C0rn3j commented on 2017-05-04 17:16

Can't build it without itstool either. Are you sure you don't already have that package installed via pip or something?

Trying to compile without itstool:

https://paste.rys.pw/?d1fdb53f2fda1d13#1JRChXZTf17r6FnfUX92F7e/vgBSxmx9PbHPYr8E+l8=

after 'sudo pip install itstool' :

https://paste.rys.pw/?98614074708e26b7#JXhBsVHqRSq3wk8mifr2+RIXrp+rZerucSwSvDDFD3s=

Still failing.

swiftscythe commented on 2017-03-22 19:24

@logos, that is weird, I am able to build it without those packages

logos commented on 2017-03-22 19:07

I needed python-sh and itstool to install it, so it should be added to dependiencies.

swiftscythe commented on 2017-02-17 12:14

rafaelff: done, thank you!

rafaelff commented on 2017-02-17 06:57

libglnx submodule was dropped ( https://git.gnome.org/browse/recipes/commit/?id=9a6266a61d4685090eec06c97ae4ae3e06aaa783 )

Also, the install file isn't necessary as it runs commands already provided by pacman hooks (see output of namcap).

swiftscythe commented on 2017-01-10 23:26

AnanasoKirby: fixed, thanks

AnanasoKirby commented on 2017-01-10 22:21

configure: error: Package requirements (gio-2.0 >= 2.42
gtk+-3.0 >= 3.20
json-glib-1.0
gnome-autoar-0
gspell-1) were not met:

No package 'gspell-1' found

gspell is available in Extra, it should be added to the PKGBUILD